Bug 130550 - usbnet fails during boot process
usbnet fails during boot process
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 13:35 EDT by Bertil Askelid
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bertil Askelid 2004-08-21 13:35:31 EDT
Description of problem:

Booting with a LinkSys USB200M connected. usbnet fails to pick up the
LinkSys:

	Aug 21 09:46:59 pop kernel: USB Universal Host Controller Interface
driver v2.2
	Aug 21 09:46:59 pop kernel: PCI: Found IRQ 5 for device 0000:00:07.2
	Aug 21 09:46:59 pop kernel: PCI: Sharing IRQ 5 with 0000:00:08.0
	Aug 21 09:46:59 pop kernel: uhci_hcd 0000:00:07.2: UHCI Host Controller
	Aug 21 09:46:59 pop kernel: uhci_hcd 0000:00:07.2: irq 5, io base
00001060
	Aug 21 09:46:59 pop kernel: uhci_hcd 0000:00:07.2: new USB bus
registered, assigned bus number 1
	Aug 21 09:46:59 pop kernel: hub 1-0:1.0: USB hub found
	Aug 21 09:47:00 pop kernel: hub 1-0:1.0: 2 ports detected
	Aug 21 09:47:00 pop kernel: usb 1-1: new full speed USB device using
address 2
	Aug 21 09:47:00 pop kernel: usb 1-1: control timeout on ep0out
	Aug 21 09:47:00 pop kernel: usbnet: probe of 1-1:1.0 failed with
error -110
	Aug 21 09:47:00 pop kernel: usbcore: registered new driver usbnet
	Aug 21 09:47:00 pop kernel: usb 1-1: control timeout on ep0in
	Aug 21 09:47:00 pop kernel: usb 1-1: control timeout on ep0in

After reboot, I disconnect and then reconnect the LinkSys. Now it
works (sort of, spurious timeouts and error at connect)

	Aug 21 09:53:32 pop kernel: usb 1-1: control timeout on ep0in
	Aug 21 09:54:01 pop kernel: usb 1-1: control timeout on ep0in
	Aug 21 09:54:06 pop kernel: usb 1-1: USB disconnect, address 2
	Aug 21 16:54:08 pop named[1902]: loading configuration from
'/etc/named.conf'
	Aug 21 09:54:08 pop named: named reload succeeded
	Aug 21 09:54:08 pop sendmail: sendmail shutdown succeeded
	Aug 21 09:54:08 pop sendmail: sm-client shutdown succeeded
	Aug 21 09:54:09 pop sendmail: sendmail startup succeeded
	Aug 21 09:54:09 pop sendmail: sm-client startup succeeded
	Aug 21 09:54:09 pop iptables:  succeeded
	Aug 21 09:54:10 pop kernel: usb 1-1: new full speed USB device using
address 3
	Aug 21 09:54:11 pop kernel: usb 1-1: device not accepting address 3,
error -71
	Aug 21 09:54:11 pop kernel: usb 1-1: new full speed USB device using
address 4
	Aug 21 09:54:12 pop kernel: eth1: register usbnet at
usb-0000:00:07.2-1, ASIX AX8817x USB 2.0 Ethernet
	Aug 21 09:54:24 pop kernel: usb 1-1: control timeout on ep0in
	Aug 21 09:54:44 pop last message repeated 4 times


Version-Release number of selected component (if applicable):

kernel 2.6.8-1.521

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-04-16 01:55:58 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.